
Foreman - Bug #3988

Expected app/services/foreman/plugin.rb to define Plugin

01/09/2014 10:50 PM - Dominic Cleal

Status: Closed   

Priority: Urgent   

Assignee: Ivan Necas   

Category: Rails   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Since #3821, the "rake locale:find" command throws an error, identical to the one we saw during the PR with rake test:

rake aborted!

Expected /home/dcleal/code/foreman/foreman/app/services/foreman/plugin.rb to define Plugin

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/activesupport-3.2.15/lib/active_support/depend

encies.rb:503:in `load_missing_constant'

/home/dcleal/code/foreman/foreman_hooks/lib/foreman_hooks.rb:82:in `load_missing_constant_with_hoo

ks'

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/activesupport-3.2.15/lib/active_support/depend

encies.rb:192:in `block in const_missing'

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/activesupport-3.2.15/lib/active_support/depend

encies.rb:190:in `each'

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/activesupport-3.2.15/lib/active_support/depend

encies.rb:190:in `const_missing'

/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/activesupport-3.2.15/lib/active_support/depend

encies.rb:514:in `load_missing_constant'

 I suspect using autoload_once not on the top level dir (app/services) means it thinks the foreman subdir is just part of the path and

not part of the class namespace.  Maybe it's only happening with this rake task because it loads so many of the models and classes

known in the application, while other simpler rake tasks don't, and rake test isn't affected by the previous commit because it's in the

test environment.

Related issues:

Related to Foreman - Bug #3821: Plugin menus are lost after page refresh in d... Closed 12/05/2013

Related to Foreman - Bug #4140: GET on /API generate 500 error Resolved 01/20/2014

Associated revisions

Revision 70ce8fe7 - 03/17/2014 09:30 AM - Ivan Necas

Fixes #3988 - use require instead of autoload_once_paths

History

#1 - 01/09/2014 10:50 PM - Dominic Cleal

- Related to Bug #3821: Plugin menus are lost after page refresh in development mode added

#2 - 01/17/2014 11:19 AM - Dominic Cleal

- Priority changed from High to Urgent

Also breaks /apidoc...

#3 - 01/20/2014 05:45 PM - Dominic Cleal

and /api/plugins
https://projects.theforeman.org/issues/3821


#4 - 01/22/2014 04:24 PM - Dominic Cleal

- Related to Bug #4140: GET on /API generate 500 error added

#5 - 01/29/2014 02:52 PM - Dominic Cleal

- translation missing: en.field_release deleted (2)

#6 - 03/17/2014 09:29 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Ivan Necas

- Target version set to 1.9.0

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1265 / https://github.com/mbacovsky/foreman/pull/1

#7 - 03/17/2014 10:31 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 70ce8fe77863d4f853466e0bb967f62ba9e6cff3.
